/* Template part listing */
/**
* Linsting Template Css
*/
#results {
    /* display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column; */
}
.listing-big-item {
    display: flex;
    gap: 30px;
    align-items: center;
    justify-content: center;
    height: 100%;
    width: 90%;
    margin: 0 auto 3rem;
    align-self: stretch;
}
.listing-header {
    flex: 0 0 45%;
}
.listing-img {
    width: 100%;
    height: 320px;
    object-fit: cover;
}
.listing-btn,
.listing-btn:hover {
    color: #fff;
    background: var(--primary);
    font-size: 12px;
    width: fit-content;
    padding: 2px 35px;
    font-family: var(--medium);
    text-align: center;
    display: block;
}
.listing-category {
    font-size: 15px;
    font-family: var(--regular);
    color: var(--primary);
    font-style: italic;
    margin: 0;
}
.listing-date {
    font-style: italic;
    font-size: 15px;
    font-family: var(--regular);
}
.listing-body {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-self: stretch;
}
.title-container {
    margin: 1rem 0 0;
}
.listing-text {
    font-size: 16px;
    font-family: var(--regular);
    overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 4;
    width: 100%;
    -webkit-box-orient: vertical;
    text-overflow: ellipsis;
}
.listing-title {
    overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    width: 100%;
    -webkit-box-orient: vertical;
    text-overflow: ellipsis;
}

/* ======= Small Design ======== */

.listing-row {
    display: flex;
    gap: 50px;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    margin: 2rem auto;
    width: 92%;
}
.listing-body-s {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 100%;
}

.listing-item-s {
    padding: 30px 0px;
    background: #f4f4f4;
    width: 100%;
}
.listing-card {
    background: #fff;
    box-shadow: 0px 3px 30px #00000029;
    padding: 1.7rem;
    height: 100%;
    display: flex;
    flex-direction: column;
}

.listing-col {
    flex: 0 0 30%;
    align-self: stretch;
}
.listing-img-s {
    width: 100%;
    height: 170px;
    object-fit: cover;
    margin: 0 0 1rem;
}
.listing-title-s {
    color: var(--secondary);
    font-size: 20px;
    overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    width: 100%;
    -webkit-box-orient: vertical;
    text-overflow: ellipsis;
}
.listing-text-s {
    font-size: 14px;
    font-family: var(--regular);
    overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 4;
    width: 100%;
    -webkit-box-orient: vertical;
    text-overflow: ellipsis;
}

.title-small-section {
    text-align: center;
    margin: 1rem 0 3rem;
}
.btn-container {
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    align-items: flex-end;
}

@keyframes lds-ellipsis1 {
    0% {
        transform: scale(0);
    }
    100% {
        transform: scale(1);
    }
}
@keyframes lds-ellipsis3 {
    0% {
        transform: scale(1);
    }
    100% {
        transform: scale(0);
    }
}
@keyframes lds-ellipsis2 {
    0% {
        transform: translate(0, 0);
    }
    100% {
        transform: translate(24px, 0);
    }
}

/* ======== Listing Responsivity ======== */

@media screen and (max-width: 1399px) {
    .listing-big-item,
    .listing-row {
        width: 100%;
    }
}

@media screen and (max-width: 1199px) {
    .listing-col {
        flex: 0 0 35%;
    }
}

@media screen and (max-width: 999px) {
    .listing-col {
        flex: 0 0 40%;
    }
}

@media screen and (max-width: 699px) {
    .listing-row {
        flex-direction: column;
    }
    .listing-big-item {
        flex-direction: column;
        gap: 0;
    }
    .listing-header {
        width: 100%;
    }
    .listing-text {
        font-size: 14px;
    }
    .listing-img {
        width: 100%;
        height: 200px;
        object-fit: cover;
    }
    /* small card */

    .listing-img-s {
        width: 100%;
        height: 170px;
        object-fit: cover;
    }
    .listing-card {
        flex-direction: column;
        gap: 0px;
        margin: 0 auto;
        padding: 0;
        background: none;
        box-shadow: none;
    }
}
